Get a namespace
Returns one namespace. Request: GET /v1/namespaces/{id}. Scope: organization:read.
GET
Returns one namespace.
apiKeyheader
x-api-key<token>id*stringMatch
^ns_[0-9a-hjkmnp-tv-z]{16,24}$Namespace
application/json- response
id*NamespaceIdMatch
^ns_[0-9a-hjkmnp-tv-z]{16,24}$name*stringcreatedAt*stringmetadata*Your own labels for the namespace, such as the id of your customer it serves. Samva stores them and never reads them.
updatedAt*stringimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.namespaces.get({
"id": "example"
});Example Response
{
"id": "string",
"name": "string",
"createdAt": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"updatedAt": "string"
}